SuSE 11.1 Security Update : net-snmp (SAT Patch Number 6517)

low Nessus Plugin ID 64194

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

This update to net-snmp resolves the following issues :

- Specially crafted SNMP GET requests could cause a denial of service (application crash) via a heap-based out-out-bounds read flaw which could be exploited remotely. (CVE-2012-2141)

- The snmpd agent should read shared memory information from /proc/meminfo when running on Linux Kernel 2.6 or newer. (bnc#762887)

- The snmpd agent could crash when an AgentX sub-agent disconnects in the middle of a request. (bnc#670789)

- After rotating the net-snmp log file, use 'try-restart' to restart the daemon. Reloading with a SIGHUP signal may trigger crashes when dynamic modules (dlmod) are in use. (bnc#762433)

Solution

Apply SAT patch number 6517.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=670789

https://bugzilla.novell.com/show_bug.cgi?id=759352

https://bugzilla.novell.com/show_bug.cgi?id=762433

https://bugzilla.novell.com/show_bug.cgi?id=762887

http://support.novell.com/security/cve/CVE-2012-2141.html

Plugin Details

Severity: Low

ID: 64194

File Name: suse_11_libsnmp15-120709.nasl

Version: 1.4

Type: local

Agent: unix

Published: 1/25/2013

Updated: 1/19/2021

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Low

Base Score: 3.5

Vector: AV:N/AC:M/Au:S/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:libsnmp15, p-cpe:/a:novell:suse_linux:11:libsnmp15-32bit, p-cpe:/a:novell:suse_linux:11:net-snmp, p-cpe:/a:novell:suse_linux:11:perl-SNMP, p-cpe:/a:novell:suse_linux:11:snmp-mibs, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 7/9/2012

Reference Information

CVE: CVE-2012-2141